Bug 1257369 - pcs should print the output of crm_resource from pcs resource cleanup commands
pcs should print the output of crm_resource from pcs resource cleanup commands
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tomas Jelinek
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 19:18 EDT by Chris Feist
Modified: 2015-11-19 04:38 EST (History)
3 users (show)

See Also:
Fixed In Version: pcs-0.9.143-7.el7
Doc Type: Bug Fix
Doc Text:
Cause: User runs the 'pcs resource cleanup' command. Consequence: Pcs displays a generic message on success. Fix: Display output of the crm_resource tool which actually does the cleanup. Result: User is informed about the cleanup in detail.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 04:38:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (1.03 KB, patch)
2015-09-04 11:14 EDT, Tomas Jelinek
no flags Details | Diff

  None (edit)
Description Chris Feist 2015-08-26 19:18:33 EDT
In the new version of pacemaker, crm_resource prints out some helpful information when cleaning up resources, this should be printed out from the 'pcs resource cleanup [resource]' commands instead of the current success message.
Comment 2 Tomas Jelinek 2015-09-04 11:14:32 EDT
Created attachment 1070322 [details]
proposed fix
Comment 3 Tomas Jelinek 2015-09-07 05:11:10 EDT
Before Fix:
[root@rh71-node1 ~]# rpm -q pcs
pcs-0.9.143-6.el7.x86_64
[root@rh71-node1:~]# pcs resource cleanup dummy
Resource: dummy successfully cleaned up



After Fix:
[root@rh71-node1:~]# rpm -q pcs
pcs-0.9.143-7.el7.x86_64
[root@rh71-node1:~]# pcs resource cleanup dummy
Waiting for 2 replies from the CRMd.. OK
Cleaning up dummy on rh71-node1
Cleaning up dummy on rh71-node2
Comment 7 errata-xmlrpc 2015-11-19 04:38:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2290.html

Note You need to log in before you can comment on or make changes to this bug.